This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1269251 - [abrt] nautilus: unschedule_pop_up_context_menu(): nautilus killed by SIGABRT
[abrt] nautilus: unschedule_pop_up_context_menu(): nautilus killed by SIGABRT
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0a043270c9f32e24d476fc5f3d2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 15:36 EDT by Nils Philippsen
Modified: 2016-05-10 09:17 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-10 09:17:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.49 KB, text/plain)
2015-10-06 15:36 EDT, Nils Philippsen
no flags Details
File: cgroup (284 bytes, text/plain)
2015-10-06 15:36 EDT, Nils Philippsen
no flags Details
File: core_backtrace (20.85 KB, text/plain)
2015-10-06 15:36 EDT, Nils Philippsen
no flags Details
File: dso_list (16.61 KB, text/plain)
2015-10-06 15:36 EDT, Nils Philippsen
no flags Details
File: environ (1010 bytes, text/plain)
2015-10-06 15:36 EDT, Nils Philippsen
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-06 15:36 EDT, Nils Philippsen
no flags Details
File: maps (83.32 KB, text/plain)
2015-10-06 15:37 EDT, Nils Philippsen
no flags Details
File: mountinfo (3.87 KB, text/plain)
2015-10-06 15:37 EDT, Nils Philippsen
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-06 15:37 EDT, Nils Philippsen
no flags Details
File: open_fds (2.80 KB, text/plain)
2015-10-06 15:37 EDT, Nils Philippsen
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-10-06 15:37 EDT, Nils Philippsen
no flags Details
File: var_log_messages (295 bytes, text/plain)
2015-10-06 15:37 EDT, Nils Philippsen
no flags Details

  None (edit)
Description Nils Philippsen 2015-10-06 15:36:42 EDT
Description of problem:
Had two windows open side-by-side, one showing two local folders in tabs and the other showing one folder on an SD card. Closed one after the other (SD card window, then right tab on the other window, then the window). The window crashed and the ABRT crash notification appeared.

Version-Release number of selected component:
nautilus-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: unschedule_pop_up_context_menu
executable:     /usr/bin/nautilus
global_pid:     8051
kernel:         4.2.2-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 unschedule_pop_up_context_menu at nautilus-pathbar.c:1425
 #5 nautilus_path_bar_finalize at nautilus-pathbar.c:370
 #7 gtk_box_forall at gtkbox.c:2586
 #8 gtk_container_destroy at gtkcontainer.c:1687
 #13 gtk_widget_dispose at gtkwidget.c:12010
 #15 gtk_header_bar_forall at gtkheaderbar.c:1617
 #16 gtk_container_destroy at gtkcontainer.c:1687
 #21 gtk_widget_dispose at gtkwidget.c:12010
 #23 g_hash_table_remove_all_nodes at ghash.c:548
 #25 g_hash_table_remove_all at ghash.c:1428
Comment 1 Nils Philippsen 2015-10-06 15:36:47 EDT
Created attachment 1080362 [details]
File: backtrace
Comment 2 Nils Philippsen 2015-10-06 15:36:49 EDT
Created attachment 1080363 [details]
File: cgroup
Comment 3 Nils Philippsen 2015-10-06 15:36:52 EDT
Created attachment 1080364 [details]
File: core_backtrace
Comment 4 Nils Philippsen 2015-10-06 15:36:54 EDT
Created attachment 1080365 [details]
File: dso_list
Comment 5 Nils Philippsen 2015-10-06 15:36:56 EDT
Created attachment 1080366 [details]
File: environ
Comment 6 Nils Philippsen 2015-10-06 15:36:57 EDT
Created attachment 1080367 [details]
File: limits
Comment 7 Nils Philippsen 2015-10-06 15:37:01 EDT
Created attachment 1080368 [details]
File: maps
Comment 8 Nils Philippsen 2015-10-06 15:37:02 EDT
Created attachment 1080370 [details]
File: mountinfo
Comment 9 Nils Philippsen 2015-10-06 15:37:04 EDT
Created attachment 1080371 [details]
File: namespaces
Comment 10 Nils Philippsen 2015-10-06 15:37:06 EDT
Created attachment 1080372 [details]
File: open_fds
Comment 11 Nils Philippsen 2015-10-06 15:37:08 EDT
Created attachment 1080373 [details]
File: proc_pid_status
Comment 12 Nils Philippsen 2015-10-06 15:37:09 EDT
Created attachment 1080376 [details]
File: var_log_messages
Comment 13 Carlos Soriano 2015-11-12 15:52:54 EST
fixed in https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-18&id=470e52bdd3b079defe623aeeac065ac236f44b2a and going to be available in 3.18.2
Comment 14 Nils Philippsen 2016-05-10 09:17:08 EDT
Can't remember that I've seen this particular bug in the recent past. Closing.

Note You need to log in before you can comment on or make changes to this bug.